## org.biojava.bio.dp.twohead
Class Cell

    java.lang.Object
      org.biojava.bio.dp.twohead.Cell

    public final class Cell

extends Object

A single cell in the DP matrix.

The cell is divided into parallel arrays for the cell scores, backpointers and emission probabilities. The scores and backpointer arrays are as long as the number of states in the model. The emissions array is as long as the number of emitting states in the model.

Since:
  1.2
Author:
  Matthew Pocock

Field Summary
`BackPointer[]` `backPointers`
`double[]` `emissions`
`double[]` `scores`

Constructor Summary
`Cell()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scores

    public double[] scores

### backPointers

    public BackPointer[] backPointers

### emissions

    public double[] emissions

Constructor Detail

### Cell

    public Cell()